Kwalitee Issues

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: *** ERROR: =cut found outside a pod block. Skipping to next block. at line 10 in file Gimp-1.091/Gimp/Fu.pm *** ERROR: =cut found outside a pod block. Skipping to next block. at line 687 in file Gimp-1.091/Gimp/Fu.pm *** ERROR: =cut found outside a pod block. Skipping to next block. at line 1008 in file Gimp-1.091/Gimp/Fu.pm *** ERROR: You can't have =items (as at line 59) unless the first thing after the =over is an =item at line 37 in file Gimp-1.091/Gimp/Util.pm *** ERROR: =cut found outside a pod block. Skipping to next block. at line 528 in file Gimp-1.091/Gimp.pm

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Gtk

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Gimp::Compat, Gimp::Data, Gimp::Feature, Gimp::Fu, Gimp::Module, Gimp::PDL, Gimp::Pod, Gimp::Util

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_invalid_versions

Fix the version numbers so that version::is_lax($version) returns true.

Error:

  • Gimp/Compat.pm: HASH(0x81add48)
  • Gimp/Lib.pm: HASH(0x81ae3a8)
  • Gimp/Net.pm: HASH(0x81ae270)
  • Gimp/Pod.pm: HASH(0x81ae150)
  • Gimp/UI.pm: HASH(0x81adfe8)
  • Gimp/Util.pm: HASH(0x81add30)

use_warnings

Add 'use warnings' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Gimp, Gimp::Compat, Gimp::Data, Gimp::Feature, Gimp::Fu, Gimp::Lib, Gimp::Module, Gimp::Net, Gimp::PDL, Gimp::Pod, Gimp::UI, Gimp::Util

Modules

Name Abstract Version View
Gimp Perl extension for writing Gimp Extensions/Plug-ins/Load & Save-Handlers 1.091 metacpan
Gimp::Compat compatibility functions for older versions of Gimp. metacpan
Gimp::Data Set and get state data. metacpan
Gimp::Feature metacpan
Gimp::Fu "easy to use" framework for Gimp scripts metacpan
Gimp::Lib Interface to libgimp (as opposed to Gimp::Net) metacpan
Gimp::Module run scripts embedded into the Gimp program. 0 metacpan
Gimp::Net Communication module for the gimp-perl server. metacpan
Gimp::PDL Overwrite Tile/Region functions to work with piddles. This module is obsolete, please remove any references to it. metacpan
Gimp::Pod Evaluate pod documentation embedded in scripts. metacpan
Gimp::UI "simulation of libgimpui", and more! metacpan
Gimp::Util some handy routines for Gimp-Perl users metacpan

Provides

Name File View
Gimp::Parasite Gimp.pm metacpan
Gimp::PixelRgn Gimp.pm metacpan
Gimp::Tile Gimp.pm metacpan
Gimp::UI::BrushSelect Gimp/UI.pm metacpan
Gimp::UI::ColorSelectButton Gimp/UI.pm metacpan
Gimp::UI::GradientSelect Gimp/UI.pm metacpan
Gimp::UI::PatternSelect Gimp/UI.pm metacpan
Gimp::UI::PreviewSelect Gimp/UI.pm metacpan

Other Files

Changes metacpan
Gimp/Makefile.PL metacpan
MANIFEST metacpan
Makefile.PL metacpan
Module/Makefile.PL metacpan
Net/Makefile.PL metacpan
README metacpan
embed/Makefile.PL metacpan